Skip to main content
GET
Get Product or Packaging

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

type
enum<string>
required

This field determines which types of products will be matched. Regular SKUs belonging to a single merchant are known as "normal" products, while the other types are pertaining to Packaging Features. For read-only operations, you may also specify one of the following meta-types which represent multiple individual types:

  • any returns all types
  • stockable returns only types that can be managed with inventory (all except data_collection and instructions)
  • packaging returns all types except for normal
Available options:
any,
normal,
stockable,
packaging,
containers,
supplies,
data_collection,
instructions,
infill
id
integer<int64>
required

Returns a product or packaging feature specified by the type path parameter.

Query Parameters

fields
enum<string>[]

Specify additional fields of the Product or Packaging* object to be included in the response.

Available options:
basic,
all,
created_at,
updated_at,
container_options,
supplies_options,
data_collection_options,
instruction_options,
infill_options,
vendor_sku,
manufacturer_part_number,
external_id,
barcodes,
goods_type,
is_available,
is_visible,
weight,
dimensions,
volume,
inventory,
export,
regulated_goods,
packaging,
custom_fields
fields:merchant
enum<string>[]

Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
status,
created_at,
updated_at,
brands,
default_brand,
custom_fields
fields:lot_type
enum<string>[]

Specify additional fields of the LotType object to be included in the response.

Available options:
basic,
all,
allow_mixing_locations,
allow_mixing_fulfillment,
lot_number_example,
lot_number_replacement,
expiration_date_pattern,
expiration_date_delta,
created_at,
updated_at

Response

OK

resource
Product · object

A Product contains information about a sellable item.

included
object

Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.